/* acconfig.h

Entries in this file provide defaults for preprocessor symbols that
autoconf does not already know about in its
/usr/local/share/autoconf/acconfig.h file.  They are inserted in the
config.h.in file by the autoheader utility.

Contrary to the autoconf 2.12 documentation in Node: Invoking
autoheader, at least one of the <at>TOP<at> or <at>BOTTOM<at> markers
must be present.  If both are omitted, then the contents of this file
are lost.
*/

@BOTTOM@

/* Define cast of ctime() argument: time_t* or long* */
#undef CTIME_ARG_IS_TIME_T_POINTER

#if defined(CTIME_ARG_IS_TIME_T_POINTER)
#define TIME_T		time_t
#else
#define TIME_T		long
#endif

/* Define with program version date as a string literal */
#undef DATE

/* Define if isatty() is available */
#undef HAVE_ISATTY

/* Define if atoi() is available */
#undef HAVE_ATOI

/* Define if getgrgid() is available */
#undef HAVE_GETGRGID

/* Define if getpwuid() is available */
#undef HAVE_GETPWUID

/* Define if <re_comp.h> header file cannot be included by dregexpr.h. */
#undef HAVE_RE_COMP_H_CONFLICT

/* Define if re_comp() and re_exec() are in C++ instead of C. */
#undef HAVE_RE_COMP_IN_CPLUSPLUS

/* Define if ioctl() is declared in system header files */
#undef HAVE_IOCTL_DECLARATION

/* Define if memset() is declared in system header files */
#undef HAVE_MEMSET_DECLARATION

/* Define if opendir() is available */
#undef HAVE_OPENDIR

/* Define if remove() is available */
#undef HAVE_REMOVE

/* Define if re_comp() is declared in system header files */
#undef HAVE_RE_COMP_DECLARATION

/* Define if <signal.h> produces a typedef for SIG_PF */
#undef HAVE_SIG_PF_TYPEDEF

/* Define if compiler supports ANSI/ISO Standard C function prototypes */
#undef HAVE_STDC_PROTOTYPES

/* Define if strcat() is declared in system header files */
#undef HAVE_STRCAT_DECLARATION

/* Define if strchr() is declared in system header files */
#undef HAVE_STRCHR_DECLARATION

/* Define if strcpy() is declared in system header files */
#undef HAVE_STRCPY_DECLARATION

/* Define if strncpy() is declared in system header files */
#undef HAVE_STRNCPY_DECLARATION

/* Define if strrchr() is declared in system header files */
#undef HAVE_STRRCHR_DECLARATION

/* Define if strtol() is available */
#undef HAVE_STRTOL

/* Define if tcgetattr() is declared in system header files */
#undef HAVE_TCGETATTR_DECLARATION

/* Define if tgoto() is declared in system header files */
#undef HAVE_TGOTO_DECLARATION

/* Define if tgetent() is declared in system header files */
#undef HAVE_TGETENT_DECLARATION

/* Define if tgetnum() is declared in system header files */
#undef HAVE_TGETNUM_DECLARATION

/* Define if tgetstr() is declared in system header files */
#undef HAVE_TGETSTR_DECLARATION

/* Define if tgetstr() is declared in system header files */
#undef HAVE_TPUTS_DECLARATION

/* Define if unlink() is available */
#undef HAVE_UNLINK

/* Define if void* pointers are supported */
#undef HAVE_VOIDP

/* Define if signal handlers are of type void instead of int */
#undef HAVE_VOID_HANDLER

/* Define if tputs() takes third argument of int(*)(char) instead of int(*)(int) */
#undef TPUTS_HAS_FUNCTION_WITH_CHAR_ARG

/* Define if _ALL_SOURCE is needed */
#undef _ALL_SOURCE

/* Define if _ALL_SOURCE is needed */
#undef _HPUX_SOURCE

/* Define if _XOPEN_SOURCE is needed */
#undef _XOPEN_SOURCE

/* Define with program name as a string literal */
#undef PACKAGE

/* Define if the compiler accepts ANSI/ISO Standard C */
#undef STDC

/* Define with program version number as a string literal */
#undef VERSION

#include <confix.h>		/* fixups for config.h errors (mostly for C++) */
